<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
final String report = request.getParameter("report");


DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~report.js" 
	styles="path.css,~../css/reggie-2.css"
/>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement id="reportName" title="<%=HTML.encodeTags(report)%>" 
		/></p:path>

	<div id="page-data" class="datacontainer"
		data-report="<%=HTML.encodeTags(report)%>"
	></div>

	<div class="content">
	<form name="reggie" id="wizard" class="wizard">
	
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select raw bioassays</div>
		<div class="step-content">
			
			<table class="step-form">
			<tr class="align-top">
				<td class="prompt">Raw bioassays</td>
				<td class="input">
					<select class="required yellow-label-support" multiple size="30"
						name="rawBioAssays" id="rawBioAssays"></select>
						
					<base:buttongroup style="margin-top: 0.5em;">
						<base:button title="Select manually&hellip;" id="btnSelectRawBioAssays" />
					</base:buttongroup>
				</td>
				<td class="status" id="rawBioAssays.status"></td>
				<td class="help"><span id="rawBioAssays.message" class="message"></span>
					Select the raw bioassays to generate a report for.
					The list contains all confirmed raw bioassays that is missing a report.
				</td>
			</tr>
			<tr>
				<td class="subprompt">Software</td>
				<td class="input">
					<select name="reportSoftware" id="reportSoftware"></select>
				</td>
				<td class="status" id="reportSoftware.status"></td>
				<td class="help">
					<span id="reportSoftware.message" class="message"></span>
					Select the software to use for creating the report.
				</td>
			</tr>
			<tbody class="info-section">
				<tr>
					<td class="subprompt">Parameter set</td>
					<td class="info" colspan="2">
						<span id="reportSoftware.parameterSet"></span>
						<div id="reportSoftware.description" class="item-description"></div>
					</td>
					<td class="help">
						Parameters are configured in 
						<span id="configSection">&lt;gene-report&gt; or &lt;pilot-report&gt;</span>
						section in reggie-config.xml.
					</td>
				</tr>
			</tbody>
			</table>
		</div>
	</div>
			
	<div id="wizard-status"></div>

	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>

	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>